﻿using UnityEngine;

namespace AudioMate
{
    public static class Styles
    {
        public const int Standard = 0;
        public const int Button = 1;
        public const int Enabled = 2;
        public const int Disabled = 3;
        public const int Success = 4;
        public const int Danger = 5;
        public const int Input = 6;
        public const int Embedded = 7;
        public const int Tab = 8;
        public const int TabActive = 9;
        public const int Overlay = 10;


        public static readonly Color StandardText = Color.white;
        public static readonly Color StandardBg = Color.clear;
        public static readonly Color ButtonText = Color.white;
        public static readonly Color ButtonBg = new Color(0.29f, 0.34f, 0.41f);
        public static readonly Color SuccessText = Color.white;
        public static readonly Color SuccessBg = new Color(0.2f, 0.53f, 0.33f);
        public static readonly Color DangerText = Color.white;
        public static readonly Color DangerBg = new Color(0.39f, 0.07f, 0.16f);
        public static readonly Color EnabledText = Color.white;
        public static readonly Color EnabledBg = new Color(0.46f, 0.6f, 0.51f);
        public static readonly Color DisabledText = new Color(0.64f, 0.64f, 0.64f);
        public static readonly Color DisabledBg = new Color(0.21f, 0.21f, 0.21f);
        public static readonly Color InputText = Color.white;
        public static readonly Color InputBg = new Color(0.41f, 0.48f, 0.58f);
        public static readonly Color EmbeddedText = Color.white;
        public static readonly Color EmbeddedBg = new Color(0.18f, 0.18f, 0.18f, 0.2f);
        public static readonly Color TabText = new Color(0.25f, 0.25f, 0.25f);
        public static readonly Color TabBg = new Color(1f, 1f, 1f, 0.29f);
        public static readonly Color TabActiveText = new Color(1f, 1f, 1f);
        public static readonly Color TabActiveBg = Color.white;
        public static readonly Color CursorEnabledText = SuccessBg;
        public static readonly Color CursorEnabledBg = SuccessText;
        public static readonly Color CursorDisabledText = SuccessText;
        public static readonly Color CursorDisabledBg = SuccessBg;
        public static readonly Color OverlayText = Color.white;
        public static readonly Color OverlayBg = new Color(0.2f, 0.2f, 0.2f, 0.9f);


        public static Color Text(int category)
        {
            switch (category)
            {
                case Button:
                    return ButtonText;
                case Enabled:
                    return EnabledText;
                case Disabled:
                    return DisabledText;
                case Success:
                    return SuccessText;
                case Danger:
                    return DangerText;
                case Input:
                    return InputText;
                case Embedded:
                    return EmbeddedText;
                case Tab:
                    return TabText;
                case TabActive:
                    return TabActiveText;
                case Overlay:
                    return OverlayText;
            }

            return StandardText;
        }

        public static Color Bg(int category)
        {
            switch (category)
            {
                case Button:
                    return ButtonBg;
                case Enabled:
                    return EnabledBg;
                case Disabled:
                    return DisabledBg;
                case Success:
                    return SuccessBg;
                case Danger:
                    return DangerBg;
                case Input:
                    return InputBg;
                case Embedded:
                    return EmbeddedBg;
                case Tab:
                    return TabBg;
                case TabActive:
                    return TabActiveBg;
                case Overlay:
                    return OverlayBg;
            }

            return StandardBg;
        }
    }
}
